/*
    RESET
*/
html,
body,
div,
span,
applet,
object,
iframe,
h1,
h2,
h3,
h4,
h5,
h6,
p,
blockquote,
pre,
a,
abbr,
acronym,
address,
big,
cite,
code,
del,
dfn,
em,
img,
ins,
kbd,
q,
s,
samp,
small,
strike,
strong,
sub,
sup,
tt,
var,
b,
u,
i,
center,
dl,
dt,
dd,
ol,
ul,
li,
fieldset,
form,
label,
legend,
table,
caption,
tbody,
tfoot,
thead,
tr,
th,
td,
article,
aside,
canvas,
details,
embed,
figure,
figcaption,
footer,
header,
hgroup,
menu,
nav,
output,
ruby,
section,
summary,
time,
mark,
audio,
video {
  margin: 0;
  padding: 0;
  border: 0;
  font-size: 100%;
  font: inherit;
  vertical-align: baseline;
}
/* HTML5 display-role reset for older browsers */
article,
aside,
details,
figcaption,
figure,
footer,
header,
hgroup,
menu,
nav,
section {
  display: block;
}
body {
  line-height: 1;
}
ol,
ul {
  list-style: none;
}
blockquote,
q {
  quotes: none;
}
blockquote:before,
blockquote:after,
q:before,
q:after {
  content: "";
  content: none;
}
table {
  border-collapse: collapse;
  border-spacing: 0;
}
button:focus {
  outline: none;
  box-shadow: none;
}
input:focus {
  outline: none;
  box-shadow: none;
}

// COLORS 
  $dark-grey : rgb(59, 56, 56);
  $grey : rgb(95, 93, 93);
  $dlight-grey : rgb(90, 88, 88);
  $dd-grey: rgb(43, 39, 39);
  
  $dark-grey07 : rgba(59, 56, 56, 0.664);
  $grey07 : rgba(95, 93, 93, 0.7);
  $dlight-grey07 : rgba(90, 88, 88, 0.7);
  $dd-grey07: rgba(43, 39, 39, 0.7);

  $dark-grey02 : rgba(59, 56, 56, 0.2);
  $grey02 : rgba(95, 93, 93, 0.2);
  $dlight-grey02 : rgba(90, 88, 88, 0.2);
  $dd-grey02 : rgba(43, 39, 39, 0.2);



  /* Color Theme Swatches in RGBA */
  $mud-1-rgba: rgba(165,140,64, 1);
  $mud-2-rgba: rgba(165,128,96, 1);
  $mud-3-rgba: rgba(114,82,64, 1);
  $mud-4-rgba: rgba(216,186,169, 1);
  $mud-5-rgba: rgba(63,45,38, 1);

  /* Color Theme Swatches in RGBA */
  $mud-1-rgba07: rgba(165,140,64, 0.7);
  $mud-2-rgba07: rgba(165,128,96, 0.7);
  $mud-3-rgba07: rgba(114,82,64, 0.7);
  $mud-4-rgba07: rgba(216,186,169, 0.7);
  $mud-5-rgba07: rgba(63,45,38, 0.7);

  $mud-1-rgba02: rgba(165,140,64, 0.2);
  $mud-2-rgba02: rgba(165,128,96, 0.2);
  $mud-3-rgba02: rgba(114,82,64, 0.2);
  $mud-4-rgba02: rgba(216,186,169, 0.2);
  $mud-5-rgba02: rgba(63,45,38, 0.2);


  /* Color Theme Swatches in RGBA */
  $Lush-green-grass-meadow-background-1-rgba: rgba(54,89,20, 1);
  $Lush-green-grass-meadow-background-2-rgba: rgba(40,63,17, 1);
  $Lush-green-grass-meadow-background-3-rgba: rgba(98,140,35, 1);
  $Lush-green-grass-meadow-background-4-rgba: rgba(143,165,109, 1);
  $Lush-green-grass-meadow-background-5-rgba: rgba(147,191,53, 1);

  $lightCoffee :rgb(242, 221, 182);
  $dl-Coffee: rgb(191, 158, 117);
  
  $lightCoffee07 : rgba(191, 158, 117, 0.7);
  $dl-Coffee07:rgba(242, 221, 182, 0.7);
  $lightCoffee02 : rgba(191, 158, 117, 0.2);
  $dl-Coffee02:rgba(242, 221, 182, 0.2);
  


/*
  CONSTANTES 
*/
  $backGroundGrey :
    linear-gradient(0.9turn,$mud-2-rgba02,$mud-4-rgba02,$mud-5-rgba02   ),
    linear-gradient(0.10turn, $mud-3-rgba07, $mud-2-rgba07, $mud-5-rgba),
    linear-gradient(0.35turn, $mud-1-rgba02, $mud-4-rgba02, $mud-1-rgba02 ),
    linear-gradient($mud-3-rgba 30%, $mud-2-rgba 100% )
    ;
  $borderGradiant:   
    linear-gradient( 0.25turn, $Lush-green-grass-meadow-background-2-rgba 0%, $Lush-green-grass-meadow-background-1-rgba 10%
        , $Lush-green-grass-meadow-background-4-rgba 50%,
        $Lush-green-grass-meadow-background-2-rgba 100%)
    ;
  $backgroundGreyShadow:inset 0px 0.6em 20px  $mud-5-rgba,
    inset  5px 0px  20px   $mud-5-rgba,
    inset -0.6em -0.6em 20px  $mud-5-rgba;

  $borderRadiusTheme:0% 0% 0% 0%;

  $backgroundCoffee :   linear-gradient( 0.15turn,$lightCoffee02 , $dl-Coffee02 , $lightCoffee02),
  linear-gradient( 0.90turn,$lightCoffee07 10% , $dl-Coffee07 , $lightCoffee07),
  linear-gradient( $lightCoffee 30%, $dd-grey 100% )
  ;
  

  // TOOLS

@font-face {
  font-family: 'pixel';
  src: url('./uni0553-webfont.ttf');
}
@font-face {
  font-family: 'logo';
  src: url('./ccoverbyteoffregular.otf');
}
@font-face {
  font-family: 'text';
  src: url('./Cormorant-Medium.otf');
}
@font-face {
  font-family: 'lettrine';
  src: url('./zenda.ttf');
}



@mixin gradiant-text{
  background-clip: text;
  -webkit-text-stroke: 1px $Lush-green-grass-meadow-background-2-rgba;
  background: $borderGradiant;
  -webkit-background-clip: text;
  -webkit-text-fill-color: rgba($color: #000000, $alpha: 0.0);
  color: transparent;
}

@mixin layer {
  position: absolute;
  border-radius: inherit;
  top: 0; right: 0; bottom: 0; left: 0;

}

/*
    COMPONENTS
*/
.btn{ 
  background: transparent;
  position: relative;
  span{
    width: 100%;
    height: 100%;
    color: transparent;
    font-weight: 500;
    border-radius:$borderRadiusTheme;
    text-transform: capitalize;
    padding: 6px ;
    font-size: 26px;
    font-family: 'pixel';
    @include gradiant-text;
  }
  border: solid 5px transparent; 

  display: inline;

  &:after{
    content: '';
    z-index: -4;
    margin: 0px;
    background: $backGroundGrey;
    border: solid 1px $Lush-green-grass-meadow-background-2-rgba;
    @include layer;
    color: transparent;


  }

  &:before {
    content: '';
    z-index: -10;
    margin: -3px;
    background:$borderGradiant;
    border: solid 1px $Lush-green-grass-meadow-background-2-rgba;
    @include layer;
    color: transparent;


  }
}

// LAYOUT 
.column{
  display: flex;
  flex-direction: column;
  align-items: center;

}
.row{
  display: flex;
  flex-direction: row;

}
.center{
  display: flex;
  align-items: center;
  justify-content: center;

}



/*
    GENERAL

    (de haut en bas)
    
*/
$marginHeading-left: 23px;
body {
  width: 100%;
  margin: 0;
  padding: 0;
  font-family: 'pixel';
  //HEADER
}

/*
    HEADER BASIQUE  
*/
$header-border-radius: 0% 0% 12% 63%;
.header{
  position: absolute;
  z-index: 20;
  border-radius: 0% 0% 12% 63%;
  width: calc(100% - #{$marginHeading-left} );
  height: 80px;
  background: $backGroundGrey    ;
  box-shadow: $backgroundGreyShadow;
  margin-left: $marginHeading-left;

  
  .header__heading{
    width: 40%;
    min-width: 400px;
    height: 100%;
    font-family: logo;
    @include gradiant-text;
    font-size: 35px;
    font-weight: 600;
    letter-spacing: 5px;
    white-space: nowrap;
    line-height: 1.6;
    align-items: flex-start;
    display: inline;
    color: transparent;

  }

  #nav_id{
    display: inline;
    position: relative;
  }
  .nav{
    width: 60%;
    height: 100%;
    padding: 10px;
    justify-content: flex-end;
    font-family: pixel;

    .nav__button{
      margin: 0px 10px 20px;

    }
  }
}

.header__style_el_border {
  margin-left:$marginHeading-left - 2px;
  height: 83px;
  background:$borderGradiant;
  position: absolute;
  z-index: 10 ;
  border-radius: 0% 0% 12% 56%;
  width: calc(100% - ( #{$marginHeading-left} - 2px ) );


}

/*
    HEADER STYLE HOME 
*/
$backgroundBlack: #111;

.header{
  &.home{
    background: $backgroundBlack;
    box-shadow: none;
    justify-content: flex-end;

    .btn{
      margin: 5px;
    }
    .nav{
      width: auto;
      margin: 15px;
      padding: 0px;
    }
  }
  .header__heading{
    &.home{
      position: absolute;
      text-align: center;
      width: 97vw;
      top:  25vh;
      font-size: 50px;
    }

  }

}
.header__style_el_border {
  &.home{
  visibility: hidden;

  }
}



// MAIN
.main.home{
  background: $backgroundBlack  ;
  .central-block{
    position: relative;
    top: 15vh;
    width: 60%;
    height: 40%;
  
    .central-block__container{
    
    }
    .game-canvas{
      position: absolute;
  
    }
    #menu_id{
      display: flex;
      justify-content: space-around;
      align-items: center;
      flex-direction: column;
    
    }
  }
  
  .text-container{

    width: 100%;
    height: 100%;
    overflow: scroll;
    display: block;
    font-weight: 500;
    overflow-x: hidden;

    >div{
      font-family: text;
      padding: 15px;
      &::first-letter{
        display: inline; 
        position: absolute;
        top: -10px;
        @include gradiant-text;
        font-family: lettrine;
        font-size: 70px;
        margin-right: 5px;
        -webkit-text-stroke: 1px $Lush-green-grass-meadow-background-2-rgba;
        font-weight: 500;

      }

    }
    &::-webkit-scrollbar{
      background: $backGroundGrey      ;

    }
    &::-webkit-scrollbar-button{
      background: $backGroundGrey      ;

    }
    &::-webkit-scrollbar-track{
      box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);

    }
    &::-webkit-scrollbar-track-piece{
      background: $backGroundGrey      ;

    }
    &::-webkit-scrollbar-thumb{
      background:$borderGradiant;
      box-shadow: inset 1px 1px 6px rgba(0, 0, 0, 0.3);

    }

  }

}

.main {
  height: 100vh;
  display: flex;
  width: 100%;
  flex-direction: column;
  background: $backgroundCoffee;
  .text-container{
    display: none;
  }
}

.central-block {
  margin: auto;
  width: 30%;
  height: 15%;
  padding: 3px 3px 3px 3px ;
  background:$borderGradiant;
  .central-block__container{
    margin:0px;
    width: 99.5%;
    height: 99.5%;


    background: $backGroundGrey      ;
    box-shadow: $backgroundGreyShadow;

  }
  .game-canvas {
    border-radius:0%;
    height: 100%;

  }



}
.central-block.menu{
  width: auto;
  height: auto;

  .central-block__container{
    width: auto;
    height: auto;
    padding: 10px;
  
  }
  .game-canvas{
    position: absolute;

  }
  #menu_id{
    display: flex;
    justify-content: space-around;
    align-items: center;
    flex-direction: column;
  
  }
}
.central-block.inGame{
  padding: 0px;

  height: 100%;
  background: none;
  margin: 100px auto 0px;
  .central-block__container{
    margin: 1px;
    width: auto;
  }

  .game-canvas{
    box-shadow: 
    0px 0.6em 20px  $dd-grey07,
      5px 0px  20px  $dd-grey07,

    -0.6em -0.6em 20px  $dd-grey07,
  ;
    border: 1px black solid;
    height: 100%;

  }
}


// POPUP


.popup__backend {
  &::before{
    content: '';
    filter: saturate(60%);
    height: 100%;
    width: 100%;
    position: absolute;
    z-index: 14;
    background: rgba(27, 28, 27, 0.823);

  }
  height: 100vh;
  width: 100vw;
  top: 0;
  
  position: absolute;
  z-index: 20;

  
}
.popup{ 
  

  position: relative;
  font-weight: 700;
  border: solid 5px transparent; 
  border-radius:$borderRadiusTheme;
  padding: 10px ;
  justify-content: space-around;
  z-index: 30;
  width: 66%;
  height: 66%;
  background:$borderGradiant;



  * {
    padding: 10px ;
    margin: 10px auto;
    border-radius:$borderRadiusTheme;

  }

  &__form-content{
    span{
      @include gradiant-text;
      font-size: 30px;;
    }
    
    display: none;
    label {
      @include gradiant-text;

      margin: 0px auto 3px;
    }
    
  }
  &:before {
    content: '';
    position: absolute;
    top: 0; right: 0; bottom: 0; left: 0;
    z-index: -10;
    margin: -2px;
    border-radius: inherit;
    background: $backGroundGrey      ;
    box-shadow: $backgroundGreyShadow;

  }
  &__form-content.active {
    display: flex;
    flex-direction: column;
  
  }
}



.controller {
  height: 50px;
}




// COMPONENTS 






